\documentclass[a5paper]{zettel2}

\geometry{top=1cm, bottom=1cm, left=1cm, right=1cm}

% Header and Footer
\pagestyle{empty}

\usepackage{longtable}
\renewcommand{\arraystretch}{1.2}

\DTLloaddb{telefonnummern}{betreuende.csv}

\begin{document}
    \rowcolors{1}{gray!20}{white}
    \begin{longtable}[l]{|l|l|l|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Telefon}\\
        \hline
        \endfirsthead
        \noalign\bgroup
        \DTLforeach{telefonnummern}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \telefon=Telefon%
        }{%
            \egroup \vorname & \nachname & \telefon\\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{longtable}

\end{document}
